Appearance
Animation
Coming soon
These endpoints are documented for integration planning but are not yet enabled for public API keys. Their request contracts may change before release.
Auto-rig
POST /jobs/auto-rig
Content-Type: application/json| Field | Type | Required | Default | Notes |
|---|---|---|---|---|
jobId | string | yes | - | Source model job to rig. |
apiVersion | integer | no | 1 | Only 1 exists today. |
Animate from text
POST /jobs/animate
Content-Type: application/json| Field | Type | Required | Default | Notes |
|---|---|---|---|---|
jobId | string | yes | - | Rigged source model job. |
prompt | string | yes | - | Description of the desired motion. |
apiVersion | integer | no | 1 | Only 1 exists today. |
Animate from video
POST /jobs/animate/video
Content-Type: multipart/form-data| Field | Type | Required | Default | Notes |
|---|---|---|---|---|
jobId | string | yes | - | Rigged source model job. |
file | video file | yes | - | MP4, MOV, or AVI. Max 150MB. |
apiVersion | integer | no | 1 | Only 1 exists today. |
Retarget preset motion
POST /jobs/retarget
Content-Type: application/json| Field | Type | Required | Default | Notes |
|---|---|---|---|---|
jobId | string | yes | - | Rigged source model job. |
retargetId | string | yes | - | One of backflip, boxing-combination, climb, crouch, evade, fall, jump, kick-football, pop-dance, reload, run, spin-kicking, sword-swing, walk, wave, or zombie-walk. |
inPlace | boolean | no | false | Remove root motion when an in-place variant is available. |
apiVersion | integer | no | 1 | Only 1 exists today. |
Generate motion only
POST /jobs/animate/motion-only
Content-Type: application/json| Field | Type | Required | Notes |
|---|---|---|---|
prompt | string | yes | Description of the desired motion. |
This creates a standalone motion clip without a model. A later merge operation will combine it with an auto-rigged model.
Merge motion and model
POST /jobs/animate/merge
Content-Type: application/json| Field | Type | Required | Notes |
|---|---|---|---|
meshRigId | string | yes | ID of an owned auto-rig job. |
animationOnlyId | string | yes | ID of an owned motion-only job. |
Unlike the asynchronous job endpoints, this operation returns the merged GLB directly as model/gltf-binary.